#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int T = inf.readInt(1, 4096, "T");
    inf.readEoln();
    
    for (int i = 1; i <= T; i++) {
        setTestCase(i);

        string start = inf.readToken("[a-h][1-8]", "start");
        inf.readSpace();
        string end = inf.readToken("[a-h][1-8]", "end");
        inf.readEoln();
    }

    inf.readEof();
    
    return 0;
}